<?php

// Active tout les warning. Utile en phase de dveloppement
// En phase de production, remplacer E_ALL par 0
error_reporting(E_ALL);

// Inclus le fichier contenant les fonctions personalises
include_once './includes/mes-fonctions.php';
include_once('./includes/template.php');

//
// Template initialization
//
$template = new Template('./templates/default/');
$template->set_filenames(array('index' => 'index.tpl'));

// Fonction de connexion  la base de donne
set_exception_handler('exception_handler');
$db = new PDO('mysql:host=localhost;dbname=BASE_TEST', 'root', '');

// Dfinit l'Id de la page d'accueil (1 dans cet exemple)
// Pensez  le modifier si ce n'est pas le cas chez vous.
$id_page_accueil = 1;

// Rcupre l'id de la page courante passe par l'URL
// Si non dfini, on considre que la page est la page d'accueil
if (isset($_GET['id_page'])) {
	$_ENV['id_page'] = intval($_GET['id_page']);
} else {
	$_ENV['id_page'] = $id_page_accueil;
}

// Extrait les informations correspondantes  la page en cours de la DB
extraction_infos_DB();

// Le reste des traitements viendra ici
affiche_menu($id_page_accueil, 'menu_horizontal');
affiche_menu($_ENV['id_page'], 'menu_vertical');
affiche_chemin_fer($_ENV['id_page']);

// Envoi des variables 'globales' au gabarit
$template->assign_vars(array(
    'HEAD_MOTS_CLES'   => $_ENV['mots_cles'],
    'HEAD_DESCRIPTION' => $_ENV['description'],
    'HEAD_TITRE'       => $_ENV['titre'],
    'PAGE_CONTENU'     => $_ENV['contenu'],
    'YOURE_HERE'       => 'Vous tes ici : '
    ));

$template->pparse('index');

include_once('./pied-page.php');

?>